libzypp 17.37.10

ZYppImpl.cc File Reference
`#include <iostream>`
`#include <zypp/TmpPath.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/Env.h>`
`#include <zypp/zypp_detail/ZYppImpl.h>`
`#include <zypp/target/TargetImpl.h>`
`#include <zypp/ZYpp.h>`
`#include <zypp/DiskUsageCounter.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/sat/Pool.h>`
`#include <zypp/PoolItem.h>`
`#include <zypp/ZYppCallbacks.h>`
`#include <glib.h>`
`#include <zypp-core/zyppng/base/private/linuxhelpers_p.h>`
`#include <zypp-core/base/userrequestexception.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media
namespace | zypp::zypp_detail

## Functions
std::ostream & | zypp::zypp_detail::operator<< (std::ostream &str, const ZYppImpl &obj)
int | zypp::zypp_detail::zypp_poll (std::vector< GPollFD > &fds, int timeout=-1)
| Small wrapper around g_poll that additionally listens to the shutdown FD returned by ZYpp::shutdownSignalFd.